base-4.8.0.0: Basic libraries

Safe Haskell | None
Language | Haskell2010

GHC.IO.Encoding.CodePage.Table

# Documentation

data ConvArray a

Constructors

ConvArray Addr# |

data CompactArray a b

Constructors

CompactArray |
Fields encoderMax :: !a encoderIndices :: !(ConvArray Int) encoderValues :: !(ConvArray b)

data CodePageArrays

Constructors

SingleByteCP |
Fields decoderArray :: !(ConvArray Char) encoderArray :: !(CompactArray Char Word8)

blockBitSize :: Int

codePageMap :: [(Word32, CodePageArrays)]